Function
matchRefinement
Refines (i.e. cuts into smaller parts) a set of pairwise segment matches in such a way that none of the segments partly overlap. They are either identical (fully overlapping) or non-overlapping.
matchRefinement(matches,stringSet,scoringScheme,refinedGraph)
matchRefinement(matches,stringSet,refinedGraph)
Include Headers
seqan/refinement.h
Parameters

matches | The set of matches. Types: Align, Alignment Graph, Fragment
scoringScheme | The scoring scheme used to score the refined matches (scores are attached to edges in the refined Alignment Graph). Types: Score Remarks: If no scoring scheme is given, all edges get weight 1.
stringSet | The StringSet containing the sequences which the matches lie on. Types: StringSet
refinedGraph | The resulting refined set of matches stored in a graph. Types: Alignment Graph

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48